This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 440779 - FTBFS aterm-1.0.1-2.fc9
FTBFS aterm-1.0.1-2.fc9
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: aterm (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
http://linux.dell.com/files/fedora/Fi...
:
Depends On:
Blocks: FTBFS
  Show dependency treegraph
 
Reported: 2008-04-04 11:57 EDT by FTBFS
Modified: 2008-10-07 05:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-06 04:02:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
root.log.bz2 (2.48 KB, application/x-bzip2)
2008-04-04 11:58 EDT, FTBFS
no flags Details
build.log.bz2 (4.73 KB, application/x-bzip2)
2008-04-04 11:58 EDT, FTBFS
no flags Details
root.log.bz2 (2.49 KB, application/x-bzip2)
2008-04-04 11:58 EDT, FTBFS
no flags Details
build.log.bz2 (4.76 KB, application/x-bzip2)
2008-04-04 11:58 EDT, FTBFS
no flags Details
aterm patch to remove references to stropts.h and I_PUSH (894 bytes, patch)
2008-06-03 10:05 EDT, Jeff Krebs
no flags Details | Diff

  None (edit)
Description FTBFS 2008-04-04 11:57:58 EDT
aterm-1.0.1-2.fc9.src.rpm Failed To Build From Source
Comment 1 FTBFS 2008-04-04 11:58:02 EDT
Created attachment 300706 [details]
root.log.bz2

root.log for i386
Comment 2 FTBFS 2008-04-04 11:58:03 EDT
Created attachment 300707 [details]
build.log.bz2

build.log for i386
Comment 3 FTBFS 2008-04-04 11:58:05 EDT
Created attachment 300708 [details]
root.log.bz2

root.log for x86_64
Comment 4 FTBFS 2008-04-04 11:58:06 EDT
Created attachment 300709 [details]
build.log.bz2

build.log for x86_64
Comment 5 Balaji G 2008-05-01 03:01:49 EDT
Thank you for taking the time to report this bug report.Changing bug status to
Assigned.

Thanks,
Regards,
Balaji
Comment 6 Bug Zapper 2008-05-14 04:44:19 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Jeff Krebs 2008-06-02 13:42:44 EDT
I get the build error:

error: sys/stropts.h: No such file or directory

Fedora 9 doesn't include sys/stropts.h in glibc-headers as it did in Fedora 8. 
Rxvt-Unicode had the same issue and was able to compile by eliminating
"HAVE_ISASTREAM" in config.h.in.

I'm not sure how to eliminate all references to stropts.h.  Eliminating the line:

# include <sys/stropts.h>	/* for I_PUSH */

didn't seem to work by itself.
Comment 8 Jeff Krebs 2008-06-03 10:05:18 EDT
Created attachment 308238 [details]
aterm patch to remove references to stropts.h and I_PUSH

This patch allows aterm-1.0.1 to build under Fedora 9.

The include for sys/stropts.h has been removed, and the streams/I_PUSH
references have been eliminated.
Comment 9 FTBFS 2008-09-05 12:09:52 EDT
This package has Failed to Build From Source for many months.  Per
http://fedoraproject.org/wiki/FTBFS, this package is now proposed for
removal from the distribution.  Please address this FTBFS bug
immediately, or this package will be removed from the distribution
within the next few weeks.

Thank you for your continued contributions to Fedora, and your
commitment to ensuring Fedora packages remain buildable from source
code.
Comment 10 Andreas Bierfert 2008-09-06 04:02:53 EDT
Fixed:
http://koji.fedoraproject.org/koji/taskinfo?taskID=810047
Comment 11 Fedora Update System 2008-10-07 05:54:23 EDT
aterm-1.0.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.